import { EventEmitter, OnChanges, SimpleChanges, OnInit, ChangeDetectorRef } from '@angular/core';
import { NtPaginationConfig } from './pagination-config';
export declare const PAGINATION_ELLIPSIS = "...";
export declare class NtPaginationComponent implements OnInit, OnChanges {
    private _changeDetectorRef;
    private _totalPage;
    get totalPage(): number;
    private _pageItems;
    get pageItems(): any[];
    private _options;
    get options(): NtPaginationConfig;
    set options(value: NtPaginationConfig);
    get itemSize(): number;
    set pageSize(value: number);
    get pageSize(): number;
    set previousLabel(value: string);
    get previousLabel(): string;
    set nextLabel(value: string);
    get nextLabel(): string;
    private _total;
    set total(value: number);
    get total(): number;
    private _pageIndex;
    set pageIndex(value: number);
    get pageIndex(): number;
    pageChange: EventEmitter<number>;
    constructor(_changeDetectorRef: ChangeDetectorRef, defaultConfig?: NtPaginationConfig);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    _pageChange(index: number): void;
    private _calcPageItems;
}
